org.jboss.resteasy.skeleton.key.idm.service

## Class RealmResource

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.idm.service.RealmResource

-     @Path(value="/")
      public class RealmResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IdentityManager` | `identityManager`
    `protected Logger` | `logger`
    `protected UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmResource(IdentityManager identityManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PublishedRealmRepresentation` | `getRealm(String id)`
    `String` | `getRealmHtml(String id)`
    `Response` | `getRealmsByName(String name)`
    `String` | `getRealmsByNameHtml(String name)`
    `static PublishedRealmRepresentation` | `realmRep(Realm realm, UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected Logger logger

    - #### identityManager

          protected IdentityManager identityManager

    - #### uriInfo

          @Context
          protected UriInfo uriInfo

  - ### Constructor Detail

    - #### RealmResource

          public RealmResource(IdentityManager identityManager)

  - ### Method Detail

    - #### getRealm

          @GET
          @Path(value="realms/{realm}")
          @Produces(value="application/json")
          public PublishedRealmRepresentation getRealm(@PathParam(value="realm")
                                                                          String id)

    - #### getRealmHtml

          @GET
          @Path(value="realms/{realm}.html")
          @Produces(value="text/html")
          public String getRealmHtml(@PathParam(value="realm")
                                                        String id)

    - #### getRealmsByName

          @GET
          @Path(value="realms")
          @Produces(value="application/json")
          public Response getRealmsByName(@QueryParam(value="name")
                                                             String name)

    - #### getRealmsByNameHtml

          @GET
          @Path(value="realms.html")
          @Produces(value="text/html")
          public String getRealmsByNameHtml(@QueryParam(value="name")
                                                               String name)

    - #### realmRep

          public static PublishedRealmRepresentation realmRep(Realm realm,
                                              UriInfo uriInfo)

Copyright © 2014. All Rights Reserved.